{
  "type": "minecraft:crafting_shaped",
  "category": "redstone",
  "key": {
    "A": "glass",
    "B": "copper_ingot",
    "C": "lightning_rod",
    "D": "gold_ingot"
  },
  "pattern": [
    "DAD",
    "DCD",
    "BAB"
  ],
  "result": {
    "count": 1,
    "id": "minecraft:spyglass",
    "components": {
      "custom_data": {
        "or_edited_item": true
      },
      "max_stack_size": 1
    }
  }
}